WordPress मा अटोप्टेस असफल? FTP असफल?

WordPressहालसालै, हामीसँग एउटा क्लाइन्ट रहेको छ जुन WordPress को साथ प्रयोगको लागि आफ्नै सर्वरहरू कन्फिगर गरिएको थियो। जब भर्खरको 3.04.०XNUMX सुरक्षा अद्यावधिक हुँदै आएको थियो, हाम्रा सबै ग्राहकहरुमा यो संस्करण स्थापना गर्नको लागि केही जरुरीताको भावना थियो। जे होस्, यो विशेष ग्राहकलाई सँधै आवश्यक पर्दछ कि हामी म्यानुअल रूपमा वर्डप्रेसलाई अपग्रेड गर्दछौं ... प्रक्रिया हृदयको बेहोशको लागि होईन!

हामी ठेक्का प्राप्त गर्दैनौं "फाईलहरू लेख्न सक्दैनयस ब्लगमा त्रुटि यसको सट्टा हामीलाई FTP लगइनको साथ एक स्क्रिन प्रदान गरिएको थियो। समस्या यो थियो कि हामी FTP प्रमाणहरू भर्न सक्दछौं र यो हुन्छ अझै असफल... यस पटक राम्रो प्रमाणपत्रहरूमा आधारित!

म इण्डियानाको लाइफलाइन डाटा केन्द्रमा हाम्रा साथीहरूसँग सम्पर्कमा छु सबैभन्दा ठूलो डाटा सेन्टर, किनकि तिनीहरूसँग केहि अपाचे गीक्स छन् र आफ्नै सर्भरहरू कन्फिगर गरेका छन्। तिनीहरूले मलाई एक सरल समाधान प्रदान गरे - सीधा भित्र एफटीपी प्रमाणहरू थप्दै WP-config.php हार्डकोडमा FTP प्रमाण पत्रहरू फाईल:

परिभाषित गर्नुहोस् ('FTP_HOST', 'localhost'); परिभाषित ('FTP_USER', 'प्रयोगकर्ता नाम'); परिभाषित गर्नुहोस् ('FTP_PASS', 'पासवर्ड');

केहि कारणका लागि, उस्तै परिचयपत्रहरू जुन फारममा काम गर्दैनन्, कन्फिगरेसन फाइलमा राख्दा पूर्ण रूपमा काम गरे! साथै, यसले WordPress लाई कार्य गर्दछ जस्तै यो FTP को आवश्यकता बिना नै गर्दछ। केवल अपडेट क्लिक गर्नुहोस् र जानुहोस्!

4 टिप्पणिहरु

  1. 1

    मैले मेरो सर्भर पुनर्निर्माण र नयाँ WordPress स्थापना स्पिन गरेपछि WordPress स्वत: अपडेट त्रुटिहरू अनुभव गरें। मेरो समस्या फायरफक्सबाट उत्पन्न भएको हो, वर्डप्रेस होइन - यदि तिनीहरूको FTP प्रयोगकर्ता नाम र WordPress प्रयोगकर्ता नाम मेरो जस्तै हो भने अरूले पनि त्यस्तै समस्या अनुभव गर्न सक्छन् (यद्यपि फरक क्यापिटलाइजेसन र पासवर्डहरूसँग)।

    समस्या यो हो कि फायरफक्स, यदि तपाईंले "रिमेम्बर पासवर्डहरू" सक्षम गर्नुभएको छ भने, प्रयोगकर्तालाई पासवर्ड प्रबन्धकमा भण्डारण गरिएको कुरामा आधारित हुनुपर्छ भन्ने कुरामा प्रयोगकर्ता/पासलाई स्वतः सच्याउनेछ। मेरो केसमा, मेरो WordPress प्रमाणहरू बचत गरियो, तर मेरो FTP प्रमाणहरू थिएनन्, किनकि तिनीहरू साइटमा SSH मा प्रयोग गर्न सकिन्छ। यस स्थितिमा भएका व्यक्तिहरूले वर्डप्रेस स्वत:-अपडेट प्रयोग गर्ने प्रयास गर्दा वा यस व्यवहारलाई सच्याउनको लागि WordPress मा कोडको एक टुक्रा लागू गर्ने प्रयास गर्दा उनीहरूको प्राथमिकताहरू/विकल्पहरूमा अस्थायी रूपमा "रिमेमर पासवर्डहरू" असक्षम गर्न सक्छन्।

  2. 2

    डग,

    मलाई Apache को घर निर्माणको साथ समान समस्या थियो। बाहिर जान्छ यो अनुचित अनुमति र केहि फाइल र निर्देशिका मा स्वामित्व को परिणाम थियो।

    http://robspencer.net/auto-update-wordpress-without-ftp/

    माथिको लिङ्कले ftp प्रमाणहरू प्रयोग नगरी समस्या कसरी समाधान गर्ने भन्ने बारे अन्तरदृष्टि प्रदान गर्‍यो। अवश्य पनि म सिफारिस गर्दिन कि तपाइँ तपाइँको सम्पूर्ण प्रयोगकर्ता डाइरेक्टरी 775 मा chown गर्नुहोस् (र मैले गरेन) तर यसले मलाई सही दिशामा लैजान्छ।

    आदम

  3. 3

    सम्भावित समाधानहरू खोजिरहेका अरूहरूका लागि: अर्को ब्लगरले आफ्नो होस्टलाई आफ्नो .httaccess फाइलमा निम्न थपेर php5 प्रयोग गर्न बाध्य पारेर आफ्नो स्वत: अद्यावधिक समस्याहरू समाधान गरे:

    AddType x-mapp-php5 .php

  4. 4

    ज्ञान साझा गर्नुभएकोमा धन्यवाद, मैले स्वत: अद्यावधिकहरूसँग समस्याहरू अनुभव गरेको छु तर मैले फेला पारेको एकमात्र समाधान भनेको प्लगइनहरूलाई निष्क्रिय पार्नु हो त्यसपछि वर्डप्रेसलाई स्वत: अपडेट गर्नुहोस् र अन्तमा सबै प्लगइनहरूलाई प्रतिक्रिया दिनु हो।

    यो टिप फरक समस्याको लागि हो तर यसलाई कसरी समाधान गर्ने भनेर जान्न राम्रो छ।

    मेक्सिकोबाट अभिवादन!

तिम्रो के बिचार छ?

यो साइट स्प्याम कम गर्न Akismet को उपयोग गर्दछ। जान्नुहोस् कि तपाईंको डेटा कसरी संसाधित छ.